## libcoyotl 3.1.0

=== debian/changelog ===
libcoyotl (3.1.0-6ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Remove config.{sub,guess} logic in d/rules, as autoreconf does this.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jan 2014 17:41:12 -0500

libcoyotl (3.1.0-6) unstable; urgency=low

  * Updated Standards-Version 
  * Correct lintian problems by building for hardening properly
  * Closes: Bug#662395 -- corrected libpng-dev dependency for libpng
    transition

 -- Al Stone <ahs3@debian.org>  Fri, 06 Jul 2012 17:03:02 -0600

libcoyotl (3.1.0-5) unstable; urgency=low

  * Convert to 3.0 (quilt) format.
  * Incorporate NMU (thanks!)
  * Incorporate Ubuntu patches (thanks!).  Closes: Bug#641702.  Also
    Closes: Bug#641377.
  * Lintian cleanup: update standards version
  * Lintian cleanup: add ${misc:Depends} where needed
  * Lintian cleanup: add build-arch build-indep targets to debian/rules
  * Lintian cleanup: add Section: libs for source
  * Lintian cleanup: updated debhelper compat version
  * Lintian cleanup: point to properly versioned license file

 -- Al Stone <ahs3@debian.org>  Sat, 26 Nov 2011 16:27:59 -0700

libcoyotl (3.1.0-4.1ubuntu1) oneiric; urgency=low

  * Avoid building the package twice.
  * Regenerate the auto* files. LP: #831162.
  * Add Section attribute to the source package to avoid upload failure.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Sep 2011 10:13:28 +0200

libcoyotl (3.1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix g++-4.3 FTBFS Thanks to Cyril Brulebois (Closes: 455274).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 21:04:50 +0000

libcoyotl (3.1.0-4) unstable; urgency=low

  * Closes: bug#417075 -- FTBS with GCC 4.3 
  * Lintian cleanup

 -- Al Stone <ahs3@debian.org>  Sun, 25 Nov 2007 16:34:51 -0700

libcoyotl (3.1.0-3) unstable; urgency=low

  * Corrected shlibs file and use of dh_shlibdeps 

 -- Al Stone <ahs3@debian.org>  Sat, 26 Nov 2005 18:06:43 -0700

libcoyotl (3.1.0-2) unstable; urgency=low

  * Clean up shlibs file.
  * Clean up changelog typo

 -- Al Stone <ahs3@debian.org>  Mon, 21 Nov 2005 21:27:32 -0700

libcoyotl (3.1.0-1) unstable; urgency=low

  * Upgraded to latest upstream.
  * Closes: bug#339200 -- library package needs to be renamed (libstdc++
    allocator change)

 -- Al Stone <ahs3@debian.org>  Mon, 21 Nov 2005 15:55:19 -0700

libcoyotl (3.0.2-2) unstable; urgency=low

  * Was not adding in the right shlib links in libcoyotl-dev 

 -- Al Stone <ahs3@debian.org>  Mon, 24 Oct 2005 21:32:36 -0600

libcoyotl (3.0.2-1) unstable; urgency=low

  * New upstream version: ABI was updated, documentation added
  * Update Debian standards version
  * Closes: bug#333976 -- Please undergo C++ 'c2' transition

 -- Al Stone <ahs3@debian.org>  Sun, 23 Oct 2005 14:48:25 -0600

libcoyotl (3.0.1-2) unstable; urgency=low

  * Remove unneeded dependence on g++ package that's in build-essential 

 -- Al Stone <ahs3@debian.org>  Tue,  7 Dec 2004 21:41:47 -0700

libcoyotl (3.0.1-1) unstable; urgency=low

  * Initial Release.
  * Part of the set of packages that close bug#275425, the RFP/ITP
    for acovea
  * Added proper copyright text in test/test_prng.cpp

 -- Al Stone <ahs3@debian.org>  Fri, 22 Oct 2004 18:28:19 -0600
