=== debian/control ===
Source: libcoyotl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 8.0.0), libpng-dev, doxygen, dh-autoreconf
Standards-Version: 3.9.3

Package: libcoyotl-dev
Section: libdevel
Architecture: any
Depends: libcoyotl-3.1-4 (= ${binary:Version}), ${misc:Depends}
Description: portable C++ classes used by acovea -- development files
 This package provides the files needed to develop code that uses the
 libcoyotl library.
 .
 The classes provided here do not easily fit into a single category; in
 essence, these are tools that the author of the acovea package has found
 useful in a variety of applications.
 .
 Among the algorithms included:
 .
   - a polymorphic collection of the best pseudorandom number generators,
     including the Mersenne Twister and Marsaglia's favorites.
 .
   - utilities for working with real numbers, including additional functions
     for trigonometry, least common multiple, greatest common denominator,
     rounding, and other purposes.
 .
   - a simple cross-platform command-line parser.
 .
   - a framework for generating rectangular mazes.
 .
   - a template for fixed-point math based on different integer sizes and
     decimal point locations.
 .
   - templatized sorting utilities (designed before standard C++'s use
     of <algorithms>, but still useful).
 .
   - validation tools for "Design by Contract" programming.
 

Package: libcoyotl-3.1-4
Section: libs
Architecture: any
Conflicts: libcoyotl3c2
Replaces: libcoyotl3c2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: portable C++ classes used by acovea
 The classes provided here do not easily fit into a single category; in
 essence, these are tools that the author of the acovea package has found
 useful in a variety of applications.
 .
 Among the algorithms included:
 .
   - a polymorphic collection of the best pseudorandom number generators,
     including the Mersenne Twister and Marsaglia's favorites.
 .
   - utilities for working with real numbers, including additional functions
     for trigonometry, least common multiple, greatest common denominator,
     rounding, and other purposes.
 .
   - a simple cross-platform command-line parser.
 .
   - a framework for generating rectangular mazes.
 .
   - a template for fixed-point math based on different integer sizes and
     decimal point locations.
 .
   - templatized sorting utilities (designed before standard C++'s use
     of <algorithms>, but still useful).
 .
   - validation tools for "Design by Contract" programming.
